<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>ILockDiscoveryCallback</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ILockDiscoveryCallback";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/myclay/claysdk/api/IClaySDK.html" title="interface in com.myclay.claysdk.api"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/myclay/claysdk/api/ILockDiscoveryCallback.html" target="_top">Frames</a></li>
<li><a href="ILockDiscoveryCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.api</div>
<h2 title="Interface ILockDiscoveryCallback" class="title">Interface ILockDiscoveryCallback</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ILockDiscoveryCallback</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html#onFailure-com.myclay.claysdk.api.error.ClayException-">onFailure</a></span>(<a href="../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a>&nbsp;exception)</code>
<div class="block">Callback method when the opening operation has failed</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html#onPeripheralFound--">onPeripheralFound</a></span>()</code>
<div class="block">Callback method called when a BLE peripheral is found</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html#onSuccess-com.saltosystems.justinmobile.sdk.model.Result-">onSuccess</a></span>(com.saltosystems.justinmobile.sdk.model.Result&nbsp;result)</code>
<div class="block">Callback method when the opening operation has succeeded</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onPeripheralFound--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPeripheralFound</h4>
<pre>void&nbsp;onPeripheralFound()</pre>
<div class="block">Callback method called when a BLE peripheral is found</div>
</li>
</ul>
<a name="onSuccess-com.saltosystems.justinmobile.sdk.model.Result-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSuccess</h4>
<pre>void&nbsp;onSuccess(com.saltosystems.justinmobile.sdk.model.Result&nbsp;result)</pre>
<div class="block">Callback method when the opening operation has succeeded</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>result</code> - The opening Result

     Possible results:
     public static final int AUTH_SUCCESS_UNKNOWN_RESULT = 0;
     public static final int AUTH_SUCCESS_ACCESS_GRANTED = 2;
     public static final int AUTH_SUCCESS_ACCESS_REJECTED = 3;
     public static final int AUTH_SUCCESS_DOOR_IN_OFFICE = 6;
     public static final int AUTH_SUCCESS_END_OFFICE = 10;
     public static final int AUTH_SUCCESS_OPENING_ROLLER = 14;
     public static final int AUTH_SUCCESS_CLOSING_ROLLER = 18;
     public static final int AUTH_SUCCESS_STOP_ROLLER = 22;
     public static final int AUTH_SUCCESS_WAIT_SECOND_CARD = 26;
     public static final int AUTH_SUCCESS_PIN_REQUIRED = 7;
     public static final int AUTH_SUCCESS_CANCELLED_KEY = 11;
     public static final int AUTH_SUCCESS_FINGER_REQUIRED = 27;
     public static final int AUTH_SUCCESS_KEY_PROCESSED = 30;</dd>
</dl>
</li>
</ul>
<a name="onFailure-com.myclay.claysdk.api.error.ClayException-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onFailure</h4>
<pre>void&nbsp;onFailure(<a href="../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a>&nbsp;exception)</pre>
<div class="block">Callback method when the opening operation has failed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exception</code> - The ClayException caught and returned for processing</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/myclay/claysdk/api/IClaySDK.html" title="interface in com.myclay.claysdk.api"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/myclay/claysdk/api/ILockDiscoveryCallback.html" target="_top">Frames</a></li>
<li><a href="ILockDiscoveryCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
